/*
 * $Header: /smsa/bsd:include/grp.h:bsd  1.6  $
 * $Source: /smsa/bsd:include/grp.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */
/*	grp.h	4.1	83/05/03	*/

#ifndef __grp_h
#define __grp_h

#ifndef __sys_types_h
#include "sys/types.h"
#endif

struct	group { /* see getgrent(3) */
	char	*gr_name;
	char	*gr_passwd;
	gid_t	gr_gid;
	char	**gr_mem;
};

extern struct group *getgrent(void);
#if 0
extern struct group *getgrgid();
#else
extern struct group *getgrgid(gid_t /*gid*/);
#endif
extern struct group *getgrnam(char * /*name*/);

#endif
